Subject: bug#19547: 25.0.50; throw-on-input "fires" when switching workspace

From: Michael Heerdegen <[email-masked]>
Date: Fri, 11 Dec 2015 15:22:52 +0100

Eli Zaretskii <[email-masked]> writes:

> > This issue is not about a single package, but for all code using
> > while-no-input.
>
> No other package complained for quite some time.  The last 2 or 3
> complaints were all due to Helm, AFAIR.

Maybe we are the only one who succeeded in debugging that problem?  It
was not trivial to find what caused this rare kind of breakage, and
it was hard to reproduce.

I'm open for all kinds of solutions, and understand if you don't want to
invest a lot of time into that.

OTOH I don't think that letting Emacs do something until the user hits a
key is such an obscure thing.  Maybe Helm is the only place where
developers noticed that this kind of thing can be done easily at all?

Michael.